[arch-commits] Commit in python-sphinxcontrib-bibtex/trunk (PKGBUILD)

Konstantin Gizdov kgizdov at archlinux.org
Tue Sep 1 11:25:47 UTC 2020


    Date: Tuesday, September 1, 2020 @ 11:25:46
  Author: kgizdov
Revision: 695387

fix checkdeps, sources and makepkg internals

Modified:
  python-sphinxcontrib-bibtex/trunk/PKGBUILD

----------+
 PKGBUILD |   15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2020-09-01 11:24:53 UTC (rev 695386)
+++ PKGBUILD	2020-09-01 11:25:46 UTC (rev 695387)
@@ -1,9 +1,10 @@
-# Maintainer: Baptiste Jonglez <archlinux at bitsofnetworks dot org>
+# Maintainer: Konstantin Gizdov <arch at kge dot pw>
+# Co-Maintainer: Baptiste Jonglez <archlinux at bitsofnetworks dot org>
 # Contributor: Patrice Peterson <runiq at archlinux dot us>
 
 pkgname=python-sphinxcontrib-bibtex
 pkgver=1.0.0
-pkgrel=1
+pkgrel=2
 pkgdesc="A Sphinx extension for BibTeX style citations"
 arch=('any')
 url="https://sphinxcontrib-bibtex.readthedocs.org"
@@ -10,9 +11,9 @@
 license=('BSD')
 depends=('python-sphinx' 'python-pybtex' 'python-pybtex-docutils' 'python-oset')
 makedepends=('python-setuptools')
-checkdepends=('python-nose' 'python-sphinx-testing')
-source=("https://pypi.io/packages/source/s/sphinxcontrib-bibtex/sphinxcontrib-bibtex-$pkgver.tar.gz")
-sha256sums=('629612b001f86784669d65e662377a482052decfd9a0a17c46860878eef7b9e0')
+checkdepends=('python-nose' 'python-sphinx-testing' 'python-coverage')
+source=("${pkgname}-${pkgver}.tar.gz::https://github.com/mcmtroffaes/sphinxcontrib-bibtex/archive/1.0.0.tar.gz")
+sha256sums=('964798058d91783bdd358c68e9f3a4e214a075dca91f8d91637f09ac467130d8')
 
 build() {
   cd "$srcdir/sphinxcontrib-bibtex-$pkgver"
@@ -22,7 +23,9 @@
 check() {
   cd "$srcdir/sphinxcontrib-bibtex-$pkgver"
   # Some tests fail because of a warning: https://github.com/mcmtroffaes/sphinxcontrib-bibtex/issues/163
-  python setup.py nosetests || warning "Some python3 tests failed"
+  local MY_YELLOW='\033[1;33m'
+  local MY_NOCOLOUR='\033[0m'
+  python setup.py nosetests || echo -e "${MY_YELLOW}WARNING: Some python3 tests failed!\n(https://github.com/mcmtroffaes/sphinxcontrib-bibtex/issues/163)${MY_NOCOLOUR}"
 }
 
 package() {


More information about the arch-commits mailing list